@media(max-width:1920px) {
	.shap_slider_inner {
    margin-top: 400px;
  }
}


@media(max-width:1750px) {
  .best_3d_area .left_3d::before {
    background-size: contain;
    width: 100%;
  }
 
    
}

@media(max-width:1520px) {
  .shap_mobile {
    padding-left: 80px;
    width: 38%;
    padding-top: 60px;
  }

  .text_3d {
    width: 62%;
    padding-top: 100px;
  }

  .shap_mobile img {
    max-width: 100%;
  }

  .best_3d_area {
    min-height: auto;
  }

  .shap_slider_inner {
        margin-right: 130px;
    margin-top: 193px;
  }

  .shap_slider_inner .owl-dots {
    margin-top: 6px;
    margin-right: 55px;
  }
}

@media(max-width:1300px) {
  .shap_slider_inner {
    margin-right: 12px;
  }

  .shap_slider_inner .owl-dots {
    margin-right: 126px;
  }
}

@media(max-width:1230px) {
  .best_3d_area .left_3d {
    width: 100%;
    float: none;
  }

  .best_3d_area .left_3d::before {
    display: none;
  }
  .shap_slider_inner .item p{ min-height:auto;}
  .tp-caption-ne img{width:100%; vertical-align:top;}
  .main_slider_area{background-size:75%;}
  .tp-caption-new br{display:none;}

  .shap_slider_inner .item {
    color: #0b1033;
  }

  .shap_slider_inner .item p {
    color: #7c8d93;
  }

  .best_3d_area {
    display: block;
  }

  .best_3d_area .right_text {
    width: 100%;
    float: none;
    overflow: hidden;
  }

  .shap_slider_inner {
    max-width: 500px;
    float: none;
    margin: 40px auto 0;
  }

  .shap_slider_inner .owl-dots .owl-dot {
    background: #000;
  }
}

@media(max-width:1199px) {
  .team_people_text ul li {
    width: calc(100%/4);
    float: none;
    margin-bottom: 15px;
	margin-left:-4px;
  }

	.team_people_text ul li img{ width:100%;}
	.team_people_text ul{padding-left:0;}
	.team_people_text ul li a{padding-left:0;}

  .team_people_text ul li:nth-child(2n) {
    padding-left: 0;
  }

  .team_people_text p {
    padding-bottom: 24px;
  }

  .get_in_touch_area .touch_details {
    margin-left: 0;
  }

  .main_slider_area .rev_slider .tp-revslider-mainul li .slider_text_box .single_img {
    display: none;
  }
  .feature_area {
    padding-top: 70px;
    margin-top: 0;
}

	.main_menu_area .navbar .navbar-nav li{
		padding:0 10px; 
	}
	.banner_area:before {
		background-size: 70%;
	}
	

}

@media(max-width:991px) {
	
	.banner_area:before{
		background-size:74%;
	}
	.contact_bnr{
		min-height:auto;
	}
	
	.team_people_text ul li {
    width: calc(100%/3);
    float: none;
  }
	.d_app {
		text-align: center;
	}
	.footer_bottom ul {
		padding-top: 0;
		text-align: center;
		padding-bottom: 10px;
	}
  .main_menu_area {
    padding: 0;
  }

  .navbar-light .navbar-brand {
    padding: 20px 0 20px 15px;
  }

  .main_menu_area .navbar .navbar-nav li {
    display: block;
    margin-right: 0;
  }

  .main_menu_area .navbar .navbar-nav li a {
    display: block;
    line-height: 50px;
    padding: 0 15px;
    border-bottom: 1px solid rgba(255,255,255,.05);
	color:#fff;
  }
  .main_menu_area.navbar_fixed .navbar .navbar-nav li a {
    color: #fff;
}

  .main_menu_area .navbar .navbar-nav li:hover a,.main_menu_area .navbar .navbar-nav li.active a {
    color: #97ccfe;
  }

  .main_menu_area .navbar .navbar-nav li a:focus {
    color: #97ccfe;
  }

  .main_menu_area .navbar-light .navbar-nav .active>.nav-link,.navbar-light .navbar-nav .nav-link.active,.navbar-light .navbar-nav .nav-link.show,.navbar-light .navbar-nav .show>.nav-link {
    color: #97ccfe;
  }

  .main_menu_area .navbar .navbar-nav {
    display: block;
    text-align: left;
  }

  .main_menu_area .navbar .navbar-collapse {
    background: #000;
    max-height: 306px;
    overflow-y: scroll;
  }

  .main_menu_area .navbar .navbar-toggler {
    padding: 0 15px 0 0;
    cursor: pointer;
  }

  .main_menu_area .navbar .navbar-nav li.submenu .dropdown-menu {
    background: 0 0;
    border: none;
    margin: 0;
    padding: 0;
  }

  .main_menu_area .navbar .navbar-nav li.submenu .dropdown-menu li a {
    line-height: 50px;
    padding: 0 20px;
  }

  .text_3d {
    padding-left: 15px;
  }

  .team_people_text {
    max-width: 540px;
    float: none;
    margin: auto;
  }

  .team_img_inner {
    max-width: 591px;
    margin: 30px auto -20px;
  }

  .touch_details {
    margin-left: 0;
    margin-top: 60px;
  }

  .contact_us_form {
    margin-top: 0;
  }

  .footer_widget_inner .col-sm-6 {
    margin-bottom: 30px;
  }

  .footer_widget_inner .col-sm-6:last-child {
    margin-bottom: 0;
  }

  .footer_widget_area {
    padding: 50px 0 20px;
  }

  .challange_text_inner {
    max-width: 545px;
    float: none;
    margin: auto;
  }

  .challange_img {
    display: block;
    margin-top: 50px;
  }

  .testimonials_slider::before {
    display: none;
  }

  .testimonials_slider .owl-dots .owl-dot {
    background: #0b1033;
  }

  .testimonials_slider .owl-dots .owl-dot.active {
    background: #97ccfe;
  }

  .testimonials_area {
    padding-top: 60px;
    padding-bottom: 100px;
  }

  .company_skill {
    padding-top: 40px;
  }

  .circle_progress .circle_progress_inner {
    margin-bottom: 30px;
  }

  .circle_chart_area .row {
    margin-bottom: -30px;
  }

  .service_solution_area::before {
    opacity: 1;
  }

  .blog_right_sidebar {
    max-width: 270px;
    margin-top: 100px;
  }
  
  .navbar-light .navbar-brand {
		padding: 10px 0 10px 15px;
	}
  .main_slider_area{
	  background-size:74%;
  }

  
  
}

@media(max-width:767px) {
	.mobile{ display:block;}
	.desktop{ display:none;}
	#hb_contact_form{padding-top:50px;}
	.team_people_text ul li {
    width: calc(100%/2);
    float: none;
  }
	.curve1{max-width: 115px;}
	.curv2{max-width:160px;}
	.first_text {
    font-size: 30px !important;
    line-height: 32px!important;
    font-weight: bold !important;
}

.sub input{width: 226px;}
.sub button{width:136px; font-size:15px !important;}


  .talk_text a {
    font-size: 38px;
  }

  .talk_text h4 {
    font-size: 38px;
  }

  .text_3d {
    width: 61%;
    padding-top: 100px;
    padding-left: 0;
    padding-right: 0;
  }

  .best_3d_area {
    padding: 0 15px;
  }

  .shap_slider_inner .owl-dots {
    margin-right: 0;
    text-align: center;
  }

  .bd-callout {
    left: 0;
    padding: 30px 15px;
    max-width: 300px;
  }

  .bd-callout h4 {
    display: block;
    padding-left: 0;
    padding-top: 10px;
  }

  .blog_img .blog_date {
    position: relative;
    left: 30px;
    top: 22px;
  }

  .buttons_area .submit_btn {
    margin-left: 8px;
    display: block;
    margin-top: 20px;
  }

  .buttons_area .more_btn {
    margin-bottom: 20px;
  }
  
  #main_slider ul{display:none !important;}
  .mobile{ padding-top:120px; display:block; padding-left:15px; padding-right:15px; text-align:center;}


  .rev_slider img, .tp-simpleresponsive img {
    max-width: 100% !important;
  }

  .mobile h1 {
		font-size: 23px;
	}
	.hs-form-3f451a1e-a799-4f43-b7d8-38b48952d1b8_ca90500d-23a1-4bea-9465-7ddd82d979fc fieldset.form-columns-2 .hs-form-field{
		width:100% !important;
	}
	.banner_area:before {
		background-size: 56%;
	}
	.about-area .banner_inner_text h2{font-size:30px;}
	.banner_inner_text p {
		font-size: 18px;
	}
	.product-page .feature_item h4{padding-top:20px;}
	.tp-caption-ne img{width:100%; margin:0;}
	.about-text h3{font-size:25px;}
	.touch_details{margin-right:0;}
	.touch_details br{display:none;}
	.padding-left-30{padding-left:0;}
	.footer-band p{font-size: 17px;}
	.sales-btn a{font-size:17px; padding:8px 20px;} 
	.main_slider_area { background-size: 51%;}
	.home-banner-caption{display:none;}
	.home-banner-caption{}
	.feature_item .f_icon img{position:static; transform:none; max-width:250px;}
	.feature_item{padding:30px;}
	.main_slider_area {
		padding-bottom: 50px;
	}
	.c_title h2{font-size:30px;}
	.review{margin-bottom:0;}
	.l_title h2{font-size:30px;}
  .text_3d{width:75%;}
  



}

@media(max-width:667px) {

  .about-text p {
		font-size: 17px;
		line-height: 29px;
		margin-bottom: 20px;;
	}
	.padding-top-60{
		padding-top:0;
	}
	.about-text {
		padding-bottom: 30px;
	}
	.product-page .feature_item p{
		font-size: 17px;
		line-height: 29px;
		margin-bottom: 20px;;
	}
	.product-page .feature_item h5{
		font-size:20px;
	}
	.product-page .feature_item h4{
		font-size:25px;
	}
	.about-text p.font-inc{
		font-size: 17px;
		line-height: 29px;
	}
	.page-subheading h5{
		font-size: 19px;
		line-height: 30px;
	}
	.sales-btn{padding-top:20px; text-align:left;}
	.reflow_short_details p{font-size: 14px; line-height: 21px;}
	.shap_mobile{width:25%; padding-left:20px;}
	.curv3{display:none;}
	.text-234{width:100%;}
	.width_less{padding:0; padding-top:30px;}
	.text-234{padding-top:0;}
	.text_3d{padding-top:0;}
}


@media(max-width:575px) {
	#hb_contact_form{padding-top:50px;}
	.copy_right p{text-align:left;}
	
.feature_item {
    -webkit-box-shadow: 0 14px 38px 0 rgba(0,0,0,.11);
    box-shadow: 0 14px 38px 0 rgba(0,0,0,.11);
}
.feature_item .more_btn {
    opacity: 1;
}
	.l_title h2 , .c_title h2 {
    font-size: 30px;
	}
	.text-234 p{font-size:16px;}
	.rd{font-size:16px;}
	.rd
	
	
	.sec-inner-images img{max-width:100%; width:100%; padding:0 15px; }
  .team_img_inner .team_img_item img {
    max-width: 100%;
  }

  .bd-callout {
    position: relative;
    transform: translateY(0%);
    margin: auto;
  }

  .footer_widget_inner {
    max-width: 320px;
    margin: auto;
  }

  .footer_copyright {
    text-align: center;
  }

  .banner_area::before {
    max-width: 100%;
    background-size: cover;
  }

  .banner_inner_text {
    padding-top: 150px;
  }

  .banner_inner_text h2 {
    font-size: 50px;
  }

  .banner_inner_text p {
    font-size: 16px;
    line-height: 22px;
}

  .challange_text_inner p {
    padding-right: 0;
  }

  .talk_area {
    padding: 80px 0;
  }

  .talk_text h4 {
    font-size: 26px;
    padding-bottom: 16px;
  }

  .talk_text a {
    font-size: 20px;
  }

  .portfolio_filter {
    padding: 95px 0 50px;
  }

  .s_blog_social ul li:first-child {
    margin-left: 15px;
  }

  .s_blog_social ul li {
    margin-left: 15px;
  }

  .mileston_item {
    text-align: center;
  }

  .elements_title {
    text-align: center;
  }
  
  .first_text {
    font-size: 18px !important;
    line-height: 21px!important;
    font-weight: bold !important;
}
.sec-inner{padding:0 15px;}
.curve1{display:none;}
.sec-inner-images img{ width:100%;}
.sec-inner p br{display:none;}
  .footer_widget_inner{max-width:100%;}
  
  
  .banner_area::before{background-size:60%;}
  .banner_inner_text p br{display:none;}
   .main_slider_area{padding-bottom:50px;}
   .best_3d_area{position:relative;}
   .shap_mobile {
	   position: absolute;
		right: 0;
		top: 49%;
	}
	.navbar-brand img{max-width:140px;}
	.l_title{padding-top:55px !important;}
  
}

@media(max-width:480px) {
	.about-text h3{font-size:22px;}
	
  .l_title h2 {
    font-size: 27px;
  }

  .text_3d {
    padding-top: 0;
    padding-bottom: 20px;
}

.shap_slider_inner{margin-top:0;}

.shap_slider_inner p {
  color: #fff;  
		/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#298aeb+0,4a60cf+50,5d46be+100 */
  background: #298aeb;
 /* Old browsers */
  background: -moz-linear-gradient(top, #298aeb 0%, #4a60cf 50%, #5d46be 100%);
 /* FF3.6-15 */
  background: -webkit-linear-gradient(top, #298aeb 0%,#4a60cf 50%,#5d46be 100%);
 /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, #298aeb 0%,#4a60cf 50%,#5d46be 100%);
 /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#298aeb', endColorstr='#5d46be',GradientType=0 );
 /* IE6-9 */;
  padding: 10px 20px;
}

  .l_title img{float:left; margin-bottom: 0;margin-right: 30px;}
  .l_title {padding-bottom: 45px;}

  .c_title h2 {
    font-size: 27px;
  }

  .blog_text {
    padding: 40px 15px 65px;
  }

  .blog_img .blog_date {
    left: 15px;
  }

  .s_blog_social {
    padding-left: 15px;
  }

  .blog_author .media {
    display: block;
  }

  .blog_author .media .d-flex {
    padding-right: 0;
    margin-bottom: 20px;
  }

  .blog_comment .media {
    display: block;
  }

  .blog_comment .media .d-flex {
    display: block!important;
    padding: 20px 0 0;
  }

  .blog_comment .media .media-body {
    padding-left: 0;
    padding-top: 20px;
  }

  .blog_comment h3 {
    padding-bottom: 50px;
    padding-top: 50px;
  }

  .buttons_area .solid_btn {
    margin-left: 0;
    display: inline-block;
  }

  .contact_map_area .mapBox1 {
    min-height: 575px;
  }
	  .sub input {
		width: 100%;
	}
	.sub button{
		margin:10px auto;
	}
	.mobile h1 br{display:none;}
	.team_people_text ul li{ width:50%;     padding: 10px 20px;}
	.team_people_text ul li img{ width:100%;}
	.team_people_text ul{padding-left:0;}
	.team_people_text ul li a{padding-left:0;}
	.banner_area::before {
		background-size: 51%;
	}
	
	
	
	
	
}

@media(max-width:410px) {
	.d_app img{width:100%;}
	.footer_bottom ul li{border:none;}
}